Subject: bug#25177: 'python-tests' merge

From: Marius Bakke <[email-masked]>
Date: Fri, 20 Jan 2017 20:56:18 +0100

>> I wonder if we should update scipy and numpy while at it. Thoughts?
>
> Ugh. I tried this out (plus matplotlib), but the latest matplotlib
> (2.0.0) has a circular dependency on ipython. Great.
>
> The motivation is that the scipy failure stems from the Sphinx update.
> I think I'll add an older Sphinx for now to get the ball rolling again;
> we should start a new 'python-updates' branch as soon as this is merged.

Turns out sphinx-1.5.1 broke matplotlib again. I've changed both
matplotlib and scipy to use [email-masked] in a50e030141.

@Leo: Can you start a new evaluation? Hopefully we can get this merged
before the next 'core-updates' evaluation. Alternatively merge it to
that branch.